TYPOS.Flow - Bug # 44743

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Security

Created: 2013-01-23 Assigned To: Karsten Dambekalns
Updated: 2013-04-05 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: FLOW3 1.1.0

Subject: Wrong variable declaration in Security\Context

Description

The $request member is annotated as being Http\Request but must be Mvc\ActionRequest

Associated revisions

Revision 0a10bdf0 - 2013-04-05 15:52 - Karsten Dambekalns

[BUGFIX] Fix variable type declaration in Security\Context

The $request member is annotated as being Http\Request but must be
Mvc\ActionRequest instead.

Change-Id: 15b4e5881b01f4eb35f28ab23e79178ad51db89ed

Fixes: #44743

Releases: master, 2.0, 1.1

Revision f8791c69 - 2013-04-05 15:54 - Karsten Dambekalns

[BUGFIX] Fix variable type declaration in Security\Context

The $request member is annotated as being Http\Request but must be

Mvc\ActionRequest instead.

Change-Id: 15b4e5881b01f4eb35f28ab23e79178ad51db89ed

Fixes: #44743

Releases: master, 2.0, 1.1

Revision d2b1f942 - 2013-04-05 16:04 - Karsten Dambekalns

[BUGFIX] Fix variable type declaration in Security\Context

The $request member is annotated as being Http\Request but must be
Mvc\ActionRequest instead.

Change-Id: 15b4e5881b01f4eb35f28ab23e79178ad51db89ed

Fixes: #44743

Releases: master, 2.0, 1.1
History

#1 - 2013-01-23 11:57 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/17668

#2 - 2013-04-05 15:52 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17668

#3 - 2013-04-05 15:54 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.

It is available at https://review.typo3.org/19574

#4 - 2013-04-05 16:05 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/19577

#5 - 2013-04-05 16:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d2b1f942694533816c81a1ba4e78a5cac542dd7b.

2015-08-04

22


https://review.typo3.org/17668
https://review.typo3.org/17668
https://review.typo3.org/19574
https://review.typo3.org/19577

